Foreman - Bug #6566

renaming a node does not change the certhame
07/10/2014 09:39 AM - David Schmitt

Status: Closed
Priority: Normal
Assignee: Aaron Stone
Category: Puppet integration
Target version: 1.6.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.4.2
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1604
Description
Reproduction:

1. Create a new host with the name 'test.example.com’

2. Render a provisioning template containing @host.certname. Output should contain 'test.example.com'

3. provision the host (I've not checked this step, but solely creating the host does not seem enough to repro this)
3. Edit the host and change the hostname to 'different.example.com'’

4. Render a provisioning template containing @host.certname.

Expected output 'different.example.com’
Actual output 'test.example.com’

My specific use-case is renaming kickstartable hosts. When the certhame does not change together with the hostname, this causes
massive havok when trying to rebuild hosts.

Related issues:
Related to Foreman - Bug #3222: Disabling UUID certificates leaves UUID certn... Closed 10/08/2013

Associated revisions

Revision d2823e35 - 07/31/2014 11:17 AM - Aaron Stone

Fixes #6566 - renaming a node now resets the certname on provision

If use_uuid_for_certificates is true, reuse the certname UUID value.
If false, then reset the certname if it does not match the hostname.

History

#1 - 07/10/2014 09:42 AM - Dominic Cleal

- Category set to Puppet integration

#2 - 07/21/2014 06:57 PM - Aaron Stone

Related to #3222. Instead of zapping the certificate only if we've changed from uuid to named certificates, what if we always zap the certificate when
we're in hostname mode? This will handle both the case described in #3222 (changing from uuid to hostname) and also when renaming a machine
with hostname certnames.

#3 - 07/21/2014 08:11 PM - Aaron Stone
- Pull request https://github.com/theforeman/foreman/pull/1604 added
- Pull request deleted ()

#4 - 07/22/2014 12:15 PM - The Foreman Bot
- Status changed from New to Ready For Testing

- Target version set to 1.8.0
#5 - 07/28/2014 09:41 AM - Dominic Cleal
- Assignee set to Aaron Stone

- translation missing: en.field_release set to 10

#6 - 07/30/2014 06:50 AM - Anonymous

- Target version changed from 1.8.0to 1.7.5

#7 - 07/31/2014 11:15 AM - Dominic Cleal
- Related to Bug #3222: Disabling UUID certificates leaves UUID certname in place on newly created hosts added

#8 - 07/31/2014 12:01 PM - Aaron Stone
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset d2823e35a7db63d51e894d8480c27d7bf81c1989.
